# Generated by Django 2.2.24 on 2022-08-26 12:48

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('layers', '0034_auto_20210329_1458'),
        ('geodatabuilder', '0009_remove_geodatabuilder_casestudy_api_id'),
    ]

    operations = [
        migrations.CreateModel(
            name='GeoDataBuilderVariable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('attribute', models.CharField(max_length=255)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True, verbose_name='last modified')),
                ('geodatabuilder', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geodatabuilder.GeoDataBuilder')),
                ('layer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='layers.Layer')),
            ],
        ),
    ]
